From: Markus Koschany <apo@debian.org>
Date: Tue, 13 Apr 2021 16:48:05 +0200
Subject: java8

Compile with Java 8 standards because source 1.5 is no longer supported.

Forwarded: no
---
 Makebase                          | 2 +-
 src/xtc/lang/blink/agent/Makefile | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

--- a/Makebase
+++ b/Makebase
@@ -88,7 +88,7 @@ ifeq ($(JAVAC),jikes)
 JAVAC_OPTIONS     = -d $(CLASS_DIR) -sourcepath $(SOURCE_DIR) \
 		    -classpath $(CLASS_DIR)$(PATH_SEP)$(JAVA_RUNTIME)
 else
-JAVAC_OPTIONS     = -source 1.5 -d $(CLASS_DIR) -sourcepath $(SOURCE_DIR)
+JAVAC_OPTIONS     = --release 8 -d $(CLASS_DIR) -sourcepath $(SOURCE_DIR)
 endif
 
 JAVAH_OPTIONS     = 
--- a/src/xtc/lang/blink/agent/Makefile
+++ b/src/xtc/lang/blink/agent/Makefile
@@ -55,7 +55,7 @@ JAR_EXTRAS =
 ifdef JAVA_DEV_ROOT
 include $(JAVA_DEV_ROOT)/Makerules
 
-JAVAC_OPTIONS  = -target 1.5 -g -Xlint:unchecked -d $(CLASS_DIR) -sourcepath $(SOURCE_DIR)
+JAVAC_OPTIONS  = --release 8 -g -Xlint:unchecked -d $(CLASS_DIR) -sourcepath $(SOURCE_DIR)
 
 parsers :
 
